%{?nodejs_find_provides_and_requires}

%global packagename gfc
# tests disabled due to missing test dependencies
%global enable_tests 0

Name:		nodejs-gfc
Version:	2.0.2
Release:	1%{?dist}
Summary:	Simple way to initialize a new git repository in an empty directory

License:	MIT
URL:		https://github.com/jonschlinkert/gfc.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(empty-dir)
BuildRequires:	npm(is-git-url)
BuildRequires:	npm(mkdirp)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(delete)
BuildRequires:	npm(gitty)
%endif

%description
Simple way to initialize a new git repository in an empty directory, add a file
and do a first commit (or skip that part in a directory with files). Useful for
unit tests and generators.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep empty-dir

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Nov 11 2019 Jared K. Smith <jsmith@fedoraproject.org> - 2.0.2-1
- Initial packaging
